## ETableConfig

ETableConfig

## Functions

ETableConfig * | e_table_config_new ()
ETableConfig * | e_table_config_construct ()
void | e_table_config_raise ()

## Properties

ETableState * | state | Read

## Signals

void | changed | Run Last

## Types and Values

struct | ETableConfigSortWidgets

## Object Hierarchy

        GObject
        ╰── ETableConfig

## Description

## Functions

### e_table_config_new ()

    ETableConfig *
    e_table_config_new (const gchar *header,
                        ETableSpecification *spec,
                        ETableState *state,
                        GtkWindow *parent_window);

Creates a new ETable config object.

#### Parameters

header | The title of the dialog for the ETableConfig. |
spec | The specification for the columns to allow. |
state | The current state of the configuration. |

#### Returns

The config object.

### e_table_config_construct ()

    ETableConfig *
    e_table_config_construct (ETableConfig *etco,
                              const gchar *header,
                              ETableSpecification *spec,
                              ETableState *state,
                              GtkWindow *parent_window);

### e_table_config_raise ()

    void
    e_table_config_raise (ETableConfig *config);

Raises the dialog associated with this ETableConfig object.

#### Parameters

config | The ETableConfig object. |

## Types and Values

### struct ETableConfigSortWidgets

    struct ETableConfigSortWidgets {
    	GtkWidget    *combo;
    	GtkWidget    *frames;
    	GtkWidget    *radio_ascending;
    	GtkWidget    *radio_descending;
    	GtkWidget    *view_check; /* Only for group dialog */
    	guint         changed_id, toggled_id;
    	gpointer e_table_config;
    };

## Property Details

### The `“state”` property

      “state”                    ETableState *

Owner: ETableConfig

Flags: Read

## Signal Details

### The `“changed”` signal

    void
    user_function (ETableConfig *etableconfig,
                   gpointer      user_data)

Flags: Run Last